Create Channel EpisodeAsk AIpost https://api.wistia.com/modern/channels/{channelHashedId}/channel_episodesCreates a new channel episode in a channel. Requires api token with one of the following permissions Read, update & delete anythingPath ParamschannelHashedIdstringrequiredThe hashed ID of the channel to add the episode to.Body Paramsmedia_idstringThe alphanumeric hashed ID of the media to be added as a channel episode.titlestringThe episode's title. If not provided, the channel episode uses the title of the media used to create it.descriptionstringThe episode's description or episode notes.summarystringA short summary of the episode that is displayed when space is limited.publish_statusstringenumThe status of whether or not the episode has been published to your channel.draftpublishedscheduledAllowed:draftpublishedscheduledpublish_atdate-timeThe date and time when the episode should be published in UTC timezone. Required when publish_status is 'scheduled'. Must be a valid ISO8601 timestamp in UTC (ending with 'Z'). Can only be provided when publish_status is 'scheduled.'episode_typestringenumThe episode type for your podcast. This parameter only takes effect if podcasting is enabled for the channel.fulltrailerbonusAllowed:fulltrailerbonusepisode_numberintegerThe episode number for this episode in your podcast. This parameter only takes effect if podcasting is enabled for the channel.explicit_contentbooleanWhether this episode contains explicit content. This parameter only takes effect if podcasting is enabled for the channel.truefalsehide_from_feedbooleanWhether or not to hide this episode from your podcast feed. Set to true to hide the episode, false to show the episode. This parameter only takes effect if podcasting is enabled for the channel.truefalseHeadersX-Wistia-API-VersionstringrequiredDefaults to 2026-03Responses 200Channel Episode creation successful 400Bad request 401Unauthorized, invalid or missing token 403Forbidden, token is valid but account does not have access to feature 500Internal server errorUpdated about 1 month ago